Update Webhook Endpoint
curl --request POST \
--url https://api.unibee.dev/merchant/webhook/update_endpoint \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"endpointId": 123,
"url": "<string>",
"events": [
"<string>"
],
"productIds": [
[
123
]
]
}
'import requests
url = "https://api.unibee.dev/merchant/webhook/update_endpoint"
payload = {
"endpointId": 123,
"url": "<string>",
"events": ["<string>"],
"productIds": [[123]]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({endpointId: 123, url: '<string>', events: ['<string>'], productIds: [[123]]})
};
fetch('https://api.unibee.dev/merchant/webhook/update_endpoint', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 123,
"data": {},
"merchantId": 123,
"message": "<string>",
"redirect": "<string>",
"requestId": "<string>"
}Webhook
Update Webhook Endpoint
POST
/
merchant
/
webhook
/
update_endpoint
Update Webhook Endpoint
Endpoint Overview
POSThttps://api.unibee.dev/merchant/webhook/update_endpoint
Update Webhook Endpoint
Authorization
All UniBee Merchant API requests require authentication via API key.| Header | Required | Description |
|---|---|---|
Authorization | Yes | Bearer <your_api_key> |
Content-Type | Yes | application/json (for request body) |
Parameters
Parameters for this endpoint are listed below. The schema is also shown in the Try it panel.Request body
| Name | Type | Required | Description |
|---|---|---|---|
endpointId | integer | Yes | EndpointId |
events | array | No | Events To Update |
productIds | array | No | Optional product ids filter, nil means no change, empty means all products, 0 means default product |
url | string | Yes | Url To Update |
Request examples
cURL
curl -X POST "https://api.unibee.dev/merchant/webhook/update_endpoint" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"endpointId": 0,
"events": [],
"productIds": [],
"url": "https://example.com"
}'
Sandbox
curl -X POST "https://api-sandbox.unibee.top/merchant/webhook/update_endpoint" \
-H "Authorization: Bearer YOUR_SANDBOX_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"endpointId": 0,
"events": [],
"productIds": [],
"url": "https://example.com"
}'
Response
Success responses return a JSON envelope withcode, data, message, redirect, and requestId. code 0 indicates success. The response schema for this endpoint is shown below.
Error handling
| HTTP status | Meaning |
|---|---|
| 400 | Bad request — invalid or missing parameters. Check message in the body. |
| 401 | Unauthorized — missing or invalid API key. |
| 404 | Not found — invalid path or resource. |
| 500 | Server error — retry with backoff. |
code in the response body is non-zero, check message for details. Use requestId when contacting support.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I

